Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.displayelements
Class LocalizedDisplayElement

    java.lang.Object
      org.deegree.graphics.displayelements.AbstractDisplayElement
          org.deegree.graphics.displayelements.GeometryDisplayElement
              org.deegree.graphics.displayelements.LocalizedDisplayElement

All Implemented Interfaces:
  Serializable, DisplayElement

    abstract class LocalizedDisplayElement

extends GeometryDisplayElement
implements Serializable

Basic interface for DisplayElements that are not Geometries but shall be rendered to one or more locations.

------------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth

Field Summary
`protected Component` | `renderableObject` the object to render

Fields inherited from class org.deegree.graphics.displayelements.GeometryDisplayElement
`geometry, highlightSymbolizer, placement, selectedSymbolizer, symbolizer`

Fields inherited from class org.deegree.graphics.displayelements.AbstractDisplayElement
`feature`

Constructor Summary
`LocalizedDisplayElement(Feature feature, MultiPoint geometry, Component renderbaleObject)` Creates a new LocalizedDisplayElement_Impl object.

Method Summary
`void` | `setRenderableObject(Component o)` sets the object that shall be rendered

Methods inherited from class org.deegree.graphics.displayelements.GeometryDisplayElement
`doesScaleConstraintApply, getGeometry, getHighlightSymbolizer, getSelectedSymbolizer, getSymbolizer, growEnvelope, setGeometry, setHighlightSymbolizer, setPlacement, setSelectedSymbolizer, setSymbolizer`

Methods inherited from class org.deegree.graphics.displayelements.AbstractDisplayElement
`getAssociateFeatureId, getFeature, isHighlighted, isSelected, setFeature, setHighlighted, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.graphics.displayelements.DisplayElement
`paint`

Field Detail

### renderableObject

    protected Component renderableObject

  the object to render

Constructor Detail

### LocalizedDisplayElement

    LocalizedDisplayElement(Feature feature,
                            MultiPoint geometry,
                            Component renderbaleObject)

  Creates a new LocalizedDisplayElement_Impl object.

  Parameters:
    `feature` -
    `geometry` -
    `renderbaleObject` -

Method Detail

### setRenderableObject

    public void setRenderableObject(Component o)

  sets the object that shall be rendered

  Parameters:
    `o` - to render

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org